## networking-cumulus 3.0.1-cl4u1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>1.3
neutron-lib>=1.0.0 # Apache-2.0
pbr>=1.6 # Apache-2.0

=== debian/changelog ===
networking-cumulus (3.0.1-cl4u1) RELEASED; urgency=medium

  * FR-2272: Add debian/copyright file with Apache-2 license, based on
    the LICENSE file.

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 02 Jun 2020 13:40:00 -0700

networking-cumulus (3.0.1-cl3u1) RELEASED; urgency=medium

  * Closes: CM-21487 - Fix network creation failure on Openstack Ocata

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 23 Aug 2018 16:38:34 -0700

networking-cumulus (3.0.0-cl3u1) RELEASED; urgency=medium

  * Fixed Openstack Queens compatibility issues

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 21 May 2018 12:33:43 -0700

networking-cumulus (2.0.0-cl3u1) RELEASED; urgency=medium

  *  Fixed Pike compatibility issues

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 11 Apr 2018 20:48:44 -0700

networking-cumulus (1.0.1-cl3u3) RELEASED; urgency=medium

  * CumulusLinux 3.5 release

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 28 Nov 2017 14:05:15 -0800

networking-cumulus (1.0.1-cl3u2) RELEASED; urgency=medium

  * Fixed database issues
  * Changed restapi calls to secure calls

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 23 Aug 2017 17:44:36 -0700

networking-cumulus (1.0.0-cl3eau1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 09 Dec 2016 14:28:58 -0800

=== debian/control ===
Source: networking-cumulus
Section: net
Priority: extra
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Build-Depends:
	debhelper (>= 7.0.0),
	python-all (>= 2.6.6-3),
	python-setuptools,
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
#Vcs-Git: git://git.debian.org/collab-maint/networking-cumulus.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/networking-cumulus.git;a=summary

Package: networking-cumulus
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Mechanism ML2 Driver for Cumulus ML2 Plugin
 This is installed on the network node where the Neutron server runs.
 The configuration file located in /etc/neutron/plugins/ml2/ml2_conf_cumulus.ini
 has sample configs and short help section.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -r)

# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# We assume that the build machine is running the same environment as the
# target system.
ifeq ($(shell command -v systemctl > /dev/null && echo 1), 1)
	HELPERS = python2,systemd
else
	HELPERS = python2
endif

export PBR_VERSION=$(shell cat setup.py | grep 'version=' | awk -F \' '{print$$2}' )

%:
	dh $@ --buildsystem=python_distutils --with $(HELPERS)

override_dh_auto_install:
	set -e && for pyvers in $(shell pyversions -r); do \
		$$pyvers setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/networking-cumulus; \
	done

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build __pycache__
	rm -rf *.egg-info

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_systemd_start:
	dh_systemd_start --no-start
